<?php
namespace Claromentis\Comments\Tests;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("comme" . "nts" => base64_decode("Y29tbW" . "VudHM="), "_31aba1e5c29106f" . "7c5bd79dad886add" . "e" => base64_decode("b2Zmc2V0" . "R2V0"), "_a313073bba42f3bc3bdd3d5c87cdb" . "8be" => base64_decode("R2V" . "0"));
use Claromentis\Comments\CommentsRepository;
use Claromentis\Comments\Controller\PermalinkController;
use Claromentis\Core\Application;
use Claromentis\Core\Localization\Lmsg;
use Claromentis\Core\Repository\Exception\NotFoundException;
use PHPUnit\Framework\TestCase;
use Psr\Http\Message\ServerRequestInterface;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;
class PermalinkControllerTest extends TestCase
{
    public function testShowingNonexistentThread()
    {
        $lmsg = $this->createMock(Lmsg::class);
        $_d2c43bb68c7967ec126410ea8c683e9d = new PermalinkController($lmsg);
        $app = $this->createMock(Application::class);
        $request = $this->createMock(ServerRequestInterface::class);
        $thread_id = 42069;
        $repo = $this->createMock(CommentsRepository::class);
        $_101c90a4d490f327cde8248984858329 = new NotFoundException();
        $repo->method($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_a313073bba42f3bc3bdd3d5c87" . "cdb8be"])->with($thread_id)->willThrowException($_101c90a4d490f327cde8248984858329);
        $app->method($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_31aba1e5c29106f7c5bd79" . "dad886adde"])->with($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["commen" . "ts"])->willReturn($repo);
        $this->expectException(NotFoundHttpException::class);
        $_d2c43bb68c7967ec126410ea8c683e9d->ShowThread($app, $request, $thread_id);
    }
}